<?php

namespace Core\Http\Controllers;

use Core\Http\Request;
use Core\Http\Response;

class Controller
{
    /**
     * Request handler
     *
     * @var \Core\Http\Request
     */
    protected Request $request;

    /**
     * Response handler
     *
     * @var \Core\Http\Response
     */
    protected Response $response;

    /**
     * Load controller helpers
     */
    public function __construct(Request $request)
    {
        $this->request = $request;
        $this->response = new Response();
    }
}