<?php

namespace Core\Routing;

use Core\Http\Request;

class Router
{
    /**
     * Dispatch router and run application
     *
     * @return void
     */
    public static function dispatch(): void
    {
        // Create request
        $request = new Request($_POST + $_FILES);

        // Dispatch router
        RouteDispatcher::dispatch($request, RouteCollection::retrieve());
    }
}