<?php

namespace Core\Routing;

class Route
{
    /**
     * Add GET route
     *
     * @param string $route
     * @param string $controller
     * @param string $action
     * @return void
     */
    public static function get(string $route, string $controller, string $action): void
    {
        RouteCollection::register($route, $controller, $action, 'GET');
    }

    /**
     * Add POST route
     *
     * @param string $route
     * @param string $controller
     * @param string $action
     * @return void
     */
    public static function post(string $route, string $controller, string $action): void
    {
        RouteCollection::register($route, $controller, $action, 'POST');
    }
}