/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    './resources/views/**/*.php',
    './resources/scripts/**/*.{js,ts,vue}',
    './resources/styles/**/*.{scss,css}',
  ],
  theme: {
    extend: {
      colors: {
        primary: {
          DEFAULT: '#002649',
          light: '#76afe3',
        },
      },
    },
  },
  plugins: [],
};